mscorlib 2.0.0.0 System.Collections.Generic.ICollection<System.Collections.Generic.KeyValuePair<TKey,TValue>> System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<TKey,TValue>> To be added. To be added.

Represents a generic collection of key/value pairs.

This interface class is the base interface for generic collections of key/value pairs. The implementing class must have a method for comparing keys.

Each element is a key/value pair stored in a key value pair object.

Each pair must have a non- key unique according to the comparison method of the class implementing this interface. The value can be and need not be unique. The interface allows the contained keys and values to be enumerated, but it does not imply any particular sort order.

Some implementations of this interface might permit null keys, and some might not. A dictionary implementation that prohibits null keys shall throw whenever a method or indexer is called with a null key.

- Method
  System.Void `` `` The to use as the key of the entry to add. The to use as the value of the entry to add.

  Adds an entry with the provided key and value to the current instance.

  You can also use the property to add new elements by setting the value of a key that does not exist in the dictionary. However, if the specified key already exists in the dictionary, setting the property overwrites the old value. In contrast, the method does not modify existing elements.

  Implementations can vary in how they determine equality of objects.

  An entry with the same key already exists in the current instance.

  The current instance is read-only.

  2.0.0.0
- Method
  System.Boolean `` The key to locate in the current instance.

  Determines whether the current instance contains an entry with the specified key.

  if the current instance contains an entry with the key; otherwise, .

  Implementations can vary in how they determine equality of objects.

  2.0.0.0
- Property
  TValue `` The key of the element to get or set.

  Gets or sets the element in the current instance that is associated with the specified key.

  The value associated with the given key.

  This property provides the ability to access a specific element in the collection.

  You can also use the property to add new elements by setting the value of a key that does not exist in the dictionary. However, if the specified key already exists in the dictionary, setting the property overwrites the old value. In contrast, the method does not modify existing elements.

  Implementations can vary in how they determine equality of objects.

  The property is read but is not found.

  The property is set and the current instance is read-only.

  2.0.0.0
- Property
  System.Collections.Generic.ICollection<TKey>

  Gets a collection containing the keys of the current instance.

  A collection containing the keys of the current instance.

  This property is read-only.

  The order of the keys in the returned is unspecified, but it is guaranteed to be the same order as the corresponding values in the collection returned by the property.

  2.0.0.0
- Method
  System.Boolean `` The key of the entry to remove.

  Removes the entry with the specified key from the current instance.

  if the element is successfully removed; otherwise, .

  This method also returns if was not found.

  Implementations can vary in how they determine equality of objects.

  The current instance is read-only.

2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Collections.Generic.ICollection<TValue>

  Gets a collection containing the values in the current instance.

  A collection containing the values in the current instance.

  This property is read-only.

  The order of the values in the returned is unspecified, but it is guaranteed to be the same order as the corresponding keys in the collection returned by the property.

  2.0.0.0